#' bezier.amira.path
#'
#' This function finds n evenly spaced points from a surface path (ascii format) exported from Amira
#' @param path.name character: path of surface, path .ascii extension file
#' @param npoint numeric: number of evenly spaced points desired
#' @param mag numeric: number of iterations for \code{\link{dec.curve}}
#' @return evenly.set numeric: a kxm matrix with evenly-spaced landmark coordinates 
#' @author Antonio Profico, Alessio Veneziano
#' @export
bezier.amira.path=function(path.name,npoint,mag){
mat.bezier=read.path.amira(path.name)
if(is.null(mag)==TRUE){
evenly.set=pointsOnBezier(mat.bezier[,,1],n=npoint)$points  
} 
if(is.numeric(mag)==TRUE){
dec.mat.bezier=dec.curve(mat.bezier,mag,plot=FALSE)
rownames(dec.mat.bezier)=NULL
dec.mat.bezier=as.matrix(dec.mat.bezier)  
evenly.set=pointsOnBezier(dec.mat.bezier,n=npoint)$points}
return(evenly.set)}