#' dec.curve
#'
#' This function finds and orders a sequence of intermediate points of a series of landmark
#' @param mat_input numeric: a kxm matrix of landmarks (2D or 3D)
#' @param mag numeric: number of iterations. The number between two consecutive points depends on mag as (2^mag)-1
#' @param plot logical: if TRUE, a sequence of both intermediate and input points will be plotted
#' @return matt numeric: a kxm matrix with the coordinates of the landmarks 
#' @author Antonio Profico, Alessio Veneziano
#' @export
dec.curve=function(mat_input,mag,plot=TRUE){
matt=mat_input
for(j in 1:mag){
magn_j=NULL
for(i in 1:((dim(matt)[1])-1)){
magn_j=c((as.numeric(matt[i,])+as.numeric(matt[i+1,]))/2,magn_j)
}
matt_1_junk=matrix(magn_j,ncol=3,byrow=T)
matt_1_mat=rbind(matt,matt_1_junk)
orig=1:dim(matt)[1]
deri=(dim(matt)[1]*2-1):(dim(matt)[1]+1)
reordered=NULL
for(i in 1:dim(matt)[1]){
reordered=c(reordered,orig[i],deri[i])
}
reordered=reordered[-length(reordered)]
matt=matt_1_mat[reordered,]
}
if(plot=="TRUE"){
plot3D(mat_input,cex=1,col=2) 
plot3D(matt,cex=0.5,col=3,add=TRUE)}
return(matt)}

